class Item
  attr_reader :body
  attr_reader :posted_on

  FAKE_DATABASE = []
  
  def initialize(body)
    @body = body
    @posted_on = Time.now
    FAKE_DATABASE.unshift(self)
  end

  def self.find_recent
     FAKE_DATABASE
  end
  
  # Populate initial items
  new("Nourrir le chat")
  new("Laver la voiture")
  new("Vendre ma start-up à Google")
end
